pacote discord.deb não funciona

1. pacote discord.deb não funciona

Itallo
itallovin

(usa Debian)

Enviado em 25/11/2021 - 12:31h

Bom dia pessoa,

Sou bem iniciante em linux, e acabei tendo uma dificuldade ao baixar o discord.

Bom, quando eu baixo o pacote .deb e uso comando -- (sudo dpkg -i pacote.deb)
ele diz que não foi possivel baixar algumas bibiliotecas, e o pacote fica quebrado.
então, baixei o discord.tar.gz descompactei ele, e ele abriu normalmente. Porem, não aparece no meu "Iniciar" só consigo iniciar via terminal.

tem algum modo de eu colocar ele para o "iniciar" ?

Galera, agradeço desde ja haha :P



  


2. Re: pacote discord.deb não funciona

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 25/11/2021 - 12:40h


itallovin escreveu:

Bom dia pessoa,

Sou bem iniciante em linux, e acabei tendo uma dificuldade ao baixar o discord.

Bom, quando eu baixo o pacote .deb e uso comando -- (sudo dpkg -i pacote.deb)
ele diz que não foi possivel baixar algumas bibiliotecas, e o pacote fica quebrado.
então, baixei o discord.tar.gz descompactei ele, e ele abriu normalmente. Porem, não aparece no meu "Iniciar" só consigo iniciar via terminal.

tem algum modo de eu colocar ele para o "iniciar" ?

Galera, agradeço desde ja haha :P


1º - Quando vc for falar de erro no terminal copie tudo ( desde o comando inserido até o fim da mensagem ) de lá é cole no fórum, pois grande parte dos erros de iniciantes está justamente em erro no comando ( o que não parece seu caso ).

2º - quando da erro com dependência no 'dpkg' se corrige com o comando
apt -f install 


------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




3. Re: pacote discord.deb não funciona

Itallo
itallovin

(usa Debian)

Enviado em 25/11/2021 - 12:55h


Mauriciodez escreveu:


itallovin escreveu:

Bom dia pessoa,

Sou bem iniciante em linux, e acabei tendo uma dificuldade ao baixar o discord.

Bom, quando eu baixo o pacote .deb e uso comando -- (sudo dpkg -i pacote.deb)
ele diz que não foi possivel baixar algumas bibiliotecas, e o pacote fica quebrado.
então, baixei o discord.tar.gz descompactei ele, e ele abriu normalmente. Porem, não aparece no meu "Iniciar" só consigo iniciar via terminal.

tem algum modo de eu colocar ele para o "iniciar" ?

Galera, agradeço desde ja haha :P


1º - Quando vc for falar de erro no terminal copie tudo ( desde o comando inserido até o fim da mensagem ) de lá é cole no fórum, pois grande parte dos erros de iniciantes está justamente em erro no comando ( o que não parece seu caso ).

2º - quando da erro com dependência no 'dpkg' se corrige com o comando
apt -f install 


------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------



Então, mais tarde eu mando o erro, aqui, foi mal. é que estou no trabalho e com isso na cabeça, e resolvi ja criar o post.

então, pesquisando na internet, vi a possibilidade de corrigir o pacote quebrado, e asim fiz, porem quando instalava denovo, da o mesmo erro.

existe a possibilidade de criar um icone no inciar com o arquivo da forma q eu ja instalei ?



4. Re: pacote discord.deb não funciona

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 25/11/2021 - 13:08h

itallovin escreveu:
existe a possibilidade de criar um icone no inciar com o arquivo da forma q eu ja instalei ?


faça um arquivo com extensão .desktop e de permissão de execução ao arquivo em /usr/share/applications

conteúdo do arquivo Ex.
[Desktop Entry]
Version=0 Mude se quiser
Encoding=UTF-8 Deixe assim
Name=Mozilla Firefox aqui é o nome que vai aparecer no menu iniciar
Comment=Navegador Web Aqui é opcional
Exec=/opt/firefox/firefox É o caminho do executável
Icon=/opt/firefox/browser/chrome/icons/default/default128.png É o caminho do ícone do programa
Type=Application Deixe assim
Categories=Network É categoria em que o ícone vai ficar no menu iniciar


------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




5. Re: pacote discord.deb não funciona

Itallo
itallovin

(usa Debian)

Enviado em 25/11/2021 - 13:13h


Mauriciodez escreveu:

itallovin escreveu:
existe a possibilidade de criar um icone no inciar com o arquivo da forma q eu ja instalei ?


faça um arquivo com extensão .desktop e de permissão de execução ao arquivo em /usr/share/applications

conteúdo do arquivo Ex.
[Desktop Entry]
Version=0 Mude se quiser
Encoding=UTF-8 Deixe assim
Name=Mozilla Firefox aqui é o nome que vai aparecer no menu iniciar
Comment=Navegador Web Aqui é opcional
Exec=/opt/firefox/firefox É o caminho do executável
Icon=/opt/firefox/browser/chrome/icons/default/default128.png É o caminho do ícone do programa
Type=Application Deixe assim
Categories=Network É categoria em que o ícone vai ficar no menu iniciar


------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------




Mauriciodez escreveu:


itallovin escreveu:

Bom dia pessoa,

Sou bem iniciante em linux, e acabei tendo uma dificuldade ao baixar o discord.

Bom, quando eu baixo o pacote .deb e uso comando -- (sudo dpkg -i pacote.deb)
ele diz que não foi possivel baixar algumas bibiliotecas, e o pacote fica quebrado.
então, baixei o discord.tar.gz descompactei ele, e ele abriu normalmente. Porem, não aparece no meu "Iniciar" só consigo iniciar via terminal.

tem algum modo de eu colocar ele para o "iniciar" ?

Galera, agradeço desde ja haha :P


1º - Quando vc for falar de erro no terminal copie tudo ( desde o comando inserido até o fim da mensagem ) de lá é cole no fórum, pois grande parte dos erros de iniciantes está justamente em erro no comando ( o que não parece seu caso ).

2º - quando da erro com dependência no 'dpkg' se corrige com o comando
apt -f install 


------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------



Então, mais tarde eu mando o erro, aqui, foi mal. é que estou no trabalho e com isso na cabeça, e resolvi ja criar o post.

então, pesquisando na internet, vi a possibilidade de corrigir o pacote quebrado, e asim fiz, porem quando instalava denovo, da o mesmo erro.

existe a possibilidade de criar um icone no inciar com o arquivo da forma q eu ja instalei ?


Cara, acho que era exatamente isso que eu tava procurando, chegar em casa eu vou testar e ai ja dou o feedback auqi. Obrigado mesmo :D


6. Re: pacote discord.deb não funciona

João Cláudio de Alcântara
aguamole

(usa Lubuntu)

Enviado em 25/11/2021 - 19:51h

Passe a instalar software pelo Flatpak e Snap se você é iniciante.
Para instalar o Flatpak: https://flatpak.org/setup/Debian/
Apos o Flatpak instalado instale o discord através do Flatpak:
https://flathub.org/apps/details/com.discordapp.Discord

CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.


7. Re: pacote discord.deb não funciona

Itallo
itallovin

(usa Debian)

Enviado em 25/11/2021 - 21:03h


[/quote]

1º - Quando vc for falar de erro no terminal copie tudo ( desde o comando inserido até o fim da mensagem ) de lá é cole no fórum, pois grande parte dos erros de iniciantes está justamente em erro no comando ( o que não parece seu caso ).

2º - quando da erro com dependência no 'dpkg' se corrige com o comando
apt -f install 


------------------------------------------------------| Linux User #621728 |------------------------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------------------| Linux User #621728 |------------------------------------------------------

[/quote]
[email protected]:~/Downloads$ sudo dpkg -i discord-0.0.16.deb
A seleccionar pacote anteriormente não seleccionado discord.
(Lendo banco de dados ... 142721 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar discord-0.0.16.deb ...
A descompactar discord (0.0.16) ...
dpkg: problemas com dependências impedem a configuração de discord:
discord depende de libappindicator1; porém:
Pacote libappindicator1 não está instalado.
discord depende de libc++1; porém:
Pacote libc++1 não está instalado.

dpkg: erro ao processar o pacote discord (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para gnome-menus (3.36.0-1) ...
A processar 'triggers' para desktop-file-utils (0.26-1) ...
A processar 'triggers' para mailcap (3.69) ...
Erros foram encontrados durante o processamento de:
discord




[email protected]:~/Downloads$ sudo apt install -f
Lendo listas de pacotes... Pronto
Construindo árvore de dependências... Pronto
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os pacotes a seguir serão REMOVIDOS:
discord
0 pacotes atualizados, 0 pacotes novos instalados, 1 a serem removidos e 5 não atualizados.
1 pacotes não totalmente instalados ou removidos.
Depois desta operação, 188 MB de espaço em disco serão liberados.
Você quer continuar? [S/n] s
(Lendo banco de dados ... 142805 ficheiros e directórios actualmente instalados.
)
A remover discord (0.0.16) ...
A processar 'triggers' para gnome-menus (3.36.0-1) ...
A processar 'triggers' para mailcap (3.69) ...
A processar 'triggers' para desktop-file-utils (0.26-1) ...





8. Re: pacote discord.deb não funciona

João Cláudio de Alcântara
aguamole

(usa Lubuntu)

Enviado em 26/11/2021 - 11:19h

desinstale o discord que você instalou, esta quebrada a instalação e o APT n consegue corrigir.
E use o Flatpak.


CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts